Bug 557431 - [abrt] crash in kdebase-runtime-4.3.4-2.fc12
[abrt] crash in kdebase-runtime-4.3.4-2.fc12
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kdebase-runtime (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
abrt_hash:bbe51841ed1c4a976160f2dde79...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-21 08:05 EST by André Frick
Modified: 2010-03-12 20:15 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-12 20:15:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (11.05 KB, text/plain)
2010-01-21 08:05 EST, André Frick
no flags Details

  None (edit)
Description André Frick 2010-01-21 08:05:14 EST
abrt 1.0.3 detected a crash.

How to reproduce
-----
1. start klamav
2. activate automatic scan
3. klamav tries to load dazuko-module
4. kdesu crashes (no output visible)

Attached file: backtrace
cmdline: kdesu -i klamav -c modprobe dazuko
component: kdebase-runtime
executable: /usr/libexec/kde4/kdesu
kernel: 2.6.31.9-174.fc12.i686.PAE
package: kdebase-runtime-4.3.4-2.fc12
rating: 4
reason: Process was terminated by signal 11 (Segmentation fault)
Comment 1 André Frick 2010-01-21 08:05:17 EST
Created attachment 385915 [details]
File: backtrace
Comment 2 Kevin Kofler 2010-01-21 20:22:54 EST
Is there any dazuko module to modprobe on your system in the first place? Fedora doesn't ship any. What's strange is that it's kdesu crashing, so I wonder whether you have some malfunctioning dazuko module. (Dazuko's syscall hooking does not work with current Fedora kernels due to the anti-rootkit protections, I tried hacking around it at some point, but the hack I submitted to upstream also no longer works. And the LSM-based method doesn't work unless you rebuild the Fedora kernel with capabilities as a module rather than built-in. So AFAIK any Dazuko module will always be malfunctioning on a stock Fedora kernel.)
Comment 3 André Frick 2010-01-22 10:56:49 EST
there is indeed no dazuko-module on my system

It is really strange that even "kdesu ll" leads into a crash
maybe there is something wrong in my system.
Comment 4 Steven M. Parrish 2010-02-04 06:46:33 EST
Thank you for taking the time to report this issue to us.  This is an issue which is best addressed by the upstream developers.

Please file a report at bugs.kde.org , and when done add the upstream report info to this report.

We will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Thank you for the bug report.

Steven M. Parrish
KDE & Packagekit Triager 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Steven M. Parrish 2010-03-12 20:15:09 EST
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Steven M. Parrish
KDE & Packagekit Triager 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.